## gate.event
Class ProgressListenerAdaptor

    java.lang.Object
      |
      +--gate.event.ProgressListenerAdaptor

All Implemented Interfaces:
  EventListener, ProgressListener

public class ProgressListenerAdaptor
extends Object
implements ProgressListener

Convenience class for implementing ProgressListener

Field Summary
`private static boolean` `DEBUG` Debug flag

Constructor Summary
`ProgressListenerAdaptor()`

Method Summary
`void` `processFinished()` Called when the process is finished.
`void` `progressChanged(int i)` Called when the progress has changed

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

Constructor Detail

### ProgressListenerAdaptor

    public ProgressListenerAdaptor()

Method Detail

### progressChanged

    public void progressChanged(int i)

  Description copied from interface: `ProgressListener`
  Called when the progress has changed
  Specified by:
    `progressChanged` in interface `ProgressListener`
  Following copied from interface: `gate.event.ProgressListener`
  Parameters:
    `i` -

### processFinished

    public void processFinished()

  Description copied from interface: `ProgressListener`
  Called when the process is finished.
  Specified by:
    `processFinished` in interface `ProgressListener`